package com.cool.store.service;

import com.cool.store.dto.ehr.StaffBaseInfoDTO;
import com.cool.store.request.TempUserDetailRequest;
import com.cool.store.vo.TempUserDetailInfoVO;
import com.cool.store.vo.TempUserDetailListVO;


/**
 * @author byd
 * @date 2024-04-29 16:13
 */
public interface TempUserDetailService {

    TempUserDetailListVO userList(Long shopId);

    void addTempUserDetail(TempUserDetailRequest tempUserDetailRequest);


    TempUserDetailInfoVO getUserInfoByIdUserDetailId(Long id);

    StaffBaseInfoDTO getUserInfoByIdCard(String idCard);

    void registrationCompleted(Long shopId);
}
